Skip to main content

How to Update ELRS V2 to ELRS V3

Submit a request

Comments

25 comments

  • Jorge Lucas

    It works :)

    It seems that many fuctions are still not working, such as the bind phrase, but otherwise it is ok. 

    Would be perfect if Wireless fuction of the ELRS module would work. This would enable easier updating of the module.

    0
  • Thomas Derick

    I was able to update my LiteRadio 3 to ELRS 3.0, but it doesn't allow me to input a binding phrase. This is using configurator V2.0 RC1. 

    -1
  • Rubvalente

    Seems i update my LiteRadio 3 to ELRS 3.0 but i cannot connect BETAFPV Configurator V2.0-RC1 to config radio and already try with version v1.1.1-RC1

    0
  • Rubvalente

    i flash to older version 2.0.1 but  BETAFPV Configurator V2.0-RC1 doens't detect the port and i already install drivers

    0
  • Janosch

    When I update my Literadio 2 se to RC1 the signal from gimbals is rubbish. I got the hall gimbals installed and it seems that they are not jet supported.
    Would appreciate if this will be included soon.

    1
  • Juergen

    For me (Literadio 3) the RC1 works; thanks a lot! I would appreciate, if a bind phrase would be supported in a future version.

    0
  • Thomas Derick

    @Janosch- I have the same setup. After updating I had to go through the calibration setup for the gimbals again and in the configurator it showed they worked correctly. However, I could not get the controller to work correctly in sims anymore even after calibrating.

    0
  • koolakoff

    Betafpv configurator V2.0 RC1 does not see/detect LR3. It does not see any serial device and hangs with 'loading'. And 'connect RC' does not work, and if go flasher and select fw manually - it does not do anything when I press 'flash'.

    (note, 1.1.1 configurator can connect to my LR3, but also does not show device)

    I have installed the STM drivers recommended in 'unable to see serial port' however it does not help. Note, device manager does not see unrecognized device, and if I delete 2.0.1 and install 1.1.1 - it can connect and configure my LR3 so I assume driver works

    Got windows 11.

    Can you please advice what is wrong?

    0
  • ctgzggo1

    The channel reversal function does not work, have you encountered it?

    0
  • jeroen heymans

    I upgraded my LiteRadio 3 but now I'm unable to put the transmitter into bindmode. It flashes red 3 times, then solid blue. Did the binding method change with this update?

    0
  • koolakoff

    @jeroen heymans
    What windows do You have and what drivers used?
    Have Yiu tried bind with pairing word?

    0
  • jeroen heymans

    Hi @Koolakoff. I have Windows 11, drivers I'm not sure I don't have my laptop with me now. But the flashing of the transmitter worked and can open it afterwords in the betafpv configurator. I just can't bind it with my drone (which is on ELRS V3). It seems the transmitter doesn't want to go into bindmode, as it only blinks red 3 times. I assume it's supposed to keep blinking until it found a receiver which it can bind with

    0
  • Karl Machen

    I've flashed mine a few minutes ago, new configurator detects the controller and inputs but cannot detect the internal ELRS module so cannot bind or be configured. I've submitted feedback in hopes of moving things forward. I actually dug the remote out to sell it as all my kit is now ELRS 3 but this looks promising!

    0
  • Rubvalente

    @jeron heymans what version you have on the receiver? you need version at least 3.0 on the receiver. Note you cannot add binding frase with this version because it's not supported yet. And another issue with this version you cannot play on the simulator the calibration have a bug

    0
  • jeroen heymans

    I have the Cetus X, below is the info from betaflight configurator. I also made a video of the pairing. It appears there is interaction between the transmitter and receiver, as the drone moves (in betaflight) when I push the bind button on the transmitter.

    https://youtu.be/N7lK1wjQPvU?si=Q63N5lKZXYqkgSDB

    2023-10-10 @15:06:35 -- OS: Windows

    2023-10-10 @15:06:35 -- Configurator: 10.9.0 (697943b)

    2023-10-10 @15:06:39 -- MultiWii API version: 1.45.0

    2023-10-10 @15:06:39 -- Flight controller info, identifier: BTFL, version: 4.4.2

    2023-10-10 @15:06:39 -- Running firmware released on: Jun 1 2023 03:15:21

    2023-10-10 @15:06:39 -- Board: BEFH/BETAFPVF4SX1280(STM32F411), version: 0

    0
  • Rubvalente

    I saw the video. Well it’s strange maybe the support can help to solve this bugs. I have the cetus X aswell but I’m using a different controller because this new version Elrs v3 don’t give me benefits because I cannot used with simulator. I thing if you drowngraded to version v2 will not bind because you have new version of FC v4.4.2

    0
  • Josiahmos

    BETAFPV Configurator V2.0-RC1 does not connect to my Literadio 3, however the  BETAFPV Configurator V1.1 does connect to my controller.

    This article says that I need BETAFPV Configurator V2.0-RC1.

    Also, I do not have a COM3, only a COM1.
    0
  • coco

    BETAFPV Configurator V2.0-RC2 does not connect to LR3 configuration mode, however the  BETAFPV Configurator V2.0-RC2 does success to LR3 for firmware update ELRS V.3

    Also, I do not have a COM3 for configuration mode c configure the controller .

    Please make easier to upgrade ELRS V.3 for LR3 soonest. Thanks

    0
  • Noah Clarke

    So currently if we update to ELRS V3 we can no longer use the radio in simulators correct? Any news on if that will be fixed?

     

    2
  • alex

    Yesterday got my cetus x. Cant connect to any simulator. My PC dont see any connection. I think this is about ELRS v3, but betafpv configurator also cant see LiteRadio 3.

    0
  • BryanB

    @jeroen heymans

    1. You should choose LORA_500HZ in BETAFPV Configurator V2.0-RC2 when setup LiteRadio 3.

    2. Your FC should use BF4SX1280 4.4.0_M85_A_ELRS v2.2_ELRS 3.0_20231116.hex firmware.

    Good luck.

    1
  • Thomas Derick

    Any ETA for being able to add a custom binding phrase for the lite radio 3 when updating to ELRS 3.x?

    0
  • Dave Oh

    ETA on getting the Hall Gimbals working properly with the LiteRadio 2SE? I saw someone say they were able to calibrate the Hall Gimbals after the updgrade, but I wasn't able to, and the output from them in the configurator is junk.  Thanks!  

    0
  • Customer

    Hello, it's the awfully news!
    "After updating the ELRS V3.0, the LR3 Radio Transmitter ELRS no longer supports
    external TX Module ! ! !"
    The brand don't support their products at all. I'm very upset with the LR3 purchase.

    0
  • Janosch

    @Dave Oh:
    After turning on I had to push one of the buttons on the back (bind or setup) because the radio will not start properly if the gimbals aren’t calibrated.
    Then you should be able to calibrate.
    Calibration process itself is described in manual.

    0

Please sign in to leave a comment.